Skip to main content
GET
Get a dashboard

Path Parameters

id
string<uuid>
required

Query Parameters

includeFiles
default:false

Also return complete static file contents for --out copies.

projectId
string<uuid>

Project that owns the dashboard. Auto-filled from CLI and SDK context when omitted.

Response

200 - application/json

OK

id
string<uuid>
required
revision
integer
required
Required range: -9007199254740991 < x <= 9007199254740991
definitionHash
string
required
Pattern: ^sha256:[0-9a-f]{64}$
title
string
required
Required string length: 1 - 120
description
string
required
Required string length: 1 - 500
source
string
required

MDX including an edit base when content editing is supported. Check dashboard capabilities before editing.

Minimum string length: 1
fileDescriptors
object[]
required
origin
object
files
object

Present exactly when includeFiles was requested.